namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "tailwind")]
public class Tailwind : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        move.User.BattleData?.BattleSide.VolatileScripts.Add(new Side.TailwindEffect());
    }
}